package com.sunxung.factoring.entity.cashflowmanage.sop;

import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;
import com.sunxung.factoring.entity.underlying.sop.PaymentCollectionPlanFactoring;

import java.util.Date;
import java.util.List;

/**
 * @description:账单记录基础（出入账）实体 --同步sop数据使用，对应sop同名实体类
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年8月29日 下午4:51:41
 */
public class BillingRecordBasic extends BaseEntity {

    /**
     * 项目类型
     **/
    private Dictionary projectType;
    /**
     * 出入账类型
     **/
    private Dictionary billType;
    /**
     * 备注
     **/
    private String remark;
    /**
     * 状态 BillingRecordStatusDict
     **/
    private Dictionary status;
    /**
     * 最新日期（实际放款、实际收款、金额分配记录中最新日期用于排序）
     **/
    private Date latestDate;
    /**
     * 非业务、资管、保理入账
     **/
    private BillingNonbusinessManageFactoringentry nobusinessManage;

    /**
     * 保理入账时分配列表
     **/
    private List<PaymentCollectionPlanFactoring> planFactoringList;

    public Dictionary getProjectType() {
        return projectType;
    }

    public void setProjectType(Dictionary projectType) {
        this.projectType = projectType;
    }

    public Dictionary getBillType() {
        return billType;
    }

    public void setBillType(Dictionary billType) {
        this.billType = billType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Dictionary getStatus() {
        return status;
    }

    public void setStatus(Dictionary status) {
        this.status = status;
    }

    public Date getLatestDate() {
        return latestDate;
    }

    public void setLatestDate(Date latestDate) {
        this.latestDate = latestDate;
    }

    public List<PaymentCollectionPlanFactoring> getPlanFactoringList() {
        return planFactoringList;
    }

    public void setPlanFactoringList(List<PaymentCollectionPlanFactoring> planFactoringList) {
        this.planFactoringList = planFactoringList;
    }

    public BillingNonbusinessManageFactoringentry getNobusinessManage() {
        return nobusinessManage;
    }

    public void setNobusinessManage(BillingNonbusinessManageFactoringentry nobusinessManage) {
        this.nobusinessManage = nobusinessManage;
    }
}
